<?php

include_once '../sys/inc/start.php';
include_once '../sys/inc/compress.php';
include_once '../sys/inc/sess.php';
include_once '../sys/inc/home.php';
include_once '../sys/inc/settings.php';
include_once '../sys/inc/db_connect.php';
include_once '../sys/inc/ipua.php';
include_once '../sys/inc/fnc.php';
include_once '../sys/inc/user.php';

$act_balls = null;
$act_rating = null;
$act_pol = null;
$act_id = null;
$act_new = null;

$set['title'] = __('Пользователи'); // заголовок страницы
include_once '../sys/inc/thead.php';

title();
aut();

switch (@$_GET['sort']) {
    case 'balls':
        $sql_sort = '`user`.`balls`';
        $sort = 'balls'; #рубли
        $act_balls = 'basic';
        break;
    case 'rating':
        $sql_sort = '`user`.`rating`';
        $sort = 'rating'; #рейтинг
        $act_rating = 'basic';
        break;
    case 'pol':
        $sql_sort = '`user`.`pol`';
        $sort = 'pol'; #пол
        $act_pol = 'basic';
        break;
    case 'new':
        $sql_sort = '`user`.`id`';
        $sort = 'id'; #пол
        $act_new = 'basic';
        break;
    default:
        $sql_sort = '`user`.`id`';
        $sort = 'id'; #ID
        $act_id = 'basic';
        break;
}

$k_post = dbresult(dbquery("SELECT COUNT(*) FROM `user` WHERE `date_last` > '" . (time() - 600) . "'"), 0);
$k_page = k_page($k_post, $set['p_str']);
$page = page($k_page);
$start = $set['p_str'] * $page - $set['p_str'];
$q = dbquery("SELECT id, ank_city, pol, ank_d_r, ank_m_r, ank_g_r, ank_o_sebe, url, level, ip, ip_xff, ip_cl, ua, date_last FROM `user` WHERE `date_last` > '" . (time() - 600) . "' ORDER BY `date_last` DESC LIMIT $start, $set[p_str]");

echo "<div class='ui horizontal segments'>";
echo "<div class='ui center aligned segment'>";
echo "<a href='/users/'>" . __('Пользователи') . "</a>";
echo "</div>";
echo "<div class='ui center aligned segment'>";
echo "<a href='/users/online.php'><b>" . __('Онлайн') . "</b></a>";
echo "</div>";
echo "<div class='ui center aligned segment'>";
echo "<a href='/users/guest.php'>" . __('Гости') . "</a>";
echo "</div>";
echo "</div>";

echo '<div class="ui segments">';

echo "<div class='ui segment'>";
echo "<a class='ui $act_id label' href='?sort=id&amp;ASC&amp;page=$page'>ID</a>";
echo "<a class='ui $act_balls label' href='?sort=balls&amp;DESC&amp;page=$page'>" . __('Баллы') . "</a>";
echo "<a class='ui $act_rating label' href='?sort=rating&amp;DESC&amp;page=$page'>" . __('Рейтинг') . "</a>";
echo "<a class='ui $act_pol label' href='?sort=pol&amp;DESC&amp;page=$page'>" . __('Пол') . "</a>";
echo "<a class='ui $act_new label' href='?sort=new&amp;DESC&amp;page=$page'>" . __('Новые') . "</a>";
echo "</div>";

if ($k_post == 0) {
    echo '<div class="ui segment">';
    echo "<i class='mdi mdi-layers-outline'></i> " . __('Нет результатов');
    echo '</div>';
}

echo '<div class="ui segment">';
echo '<div class="ui large middle aligned divided list">';

while ($ank = dbassoc($q)) {

    $ank = get_user($ank['id']);

    echo '<div class="item">';

    echo '<div class="right floated content">';
    echo " <small style='float:right'>" . otkuda($ank['url']) . "</small>\n";
    echo '</div>';

    echo user::avatar($ank['id'], 0, 'ui avatar image');

    echo '<div class="content">';

    echo group($ank['id']);
    echo " <a href='/info.php?id=$ank[id]'>$ank[nick]</a> \n";

    echo "" . medal($ank['id']) . " " . online($ank['id']) . "<br />";

    if ($sort == 'rating') {
        echo __('Рейтинг') . ": $ank[rating]<br />\n";
    }

    if ($sort == 'balls') {
        echo __('Баллы') . ": $ank[balls]<br />\n";
    }

    if ($sort == 'pol') {
        echo __('Пол') . ": " . (($ank['pol'] == 1) ? __('Мужской') : __('Женский')) . "<br />\n";
    }

    if ($sort == 'id') {
        echo __('ID') . ": " . $ank['id'] . "\n";
    }


    echo '</div>';
    echo '<div class="content">';
    
// Возможные ники
$mass[0] = $ank['id'];
$collisions = user_collision($mass);
if (count($collisions) > 1) {
    echo __('Возможные логины') . '</span> ';
    for ($i = 1; $i < count($collisions); $i++) {
        echo ' :: ' . user::nick($collisions[$i]);
    }
    echo '<br />';
}
    echo '</div>';
    echo '</div>';
}



echo '</div>';

echo '</div>';

if ($k_page > 1) {
    str("?", $k_page, $page);
} // Вывод страниц
echo '</div>'; // ui segments

include_once '../sys/inc/tfoot.php';
?>