<?php

require_once '../sys/inc/start.php';
require_once H . 'sys/inc/compress.php';
require_once H . 'sys/inc/sess.php';
require_once H . 'sys/inc/settings.php';
require_once H . 'sys/inc/db_connect.php';
require_once H . 'sys/inc/ipua.php';
require_once H . 'sys/inc/fnc.php';
require_once H . 'sys/inc/adm_check.php';
require_once H . 'sys/inc/user.php';

user_access('adm_panel_show', null, 'index.php?' . SID);
adm_check();

$set['title'] = __('Список изменений');

require_once H . 'sys/inc/thead.php';

title();
aut();

echo "<div class='ui segments'>";

$r = (isset($_GET['r'])) ? htmlspecialchars($_GET['r']) : null;
switch ($r) {
    default:

        echo "<div class = 'ui secondary segment'> " . __('Выберите версию модификации') . "</div>";
        echo "<div class = 'ui segment'>";
        echo "<a href = '?r=0.1.0'><i class='mdi mdi-chevron-right'></i> D-SE 0.1.0</a>";
        echo "</div>";
        echo "<div class = 'ui segment'>";
        echo "<a href = '?r=0.1.1'><i class='mdi mdi-chevron-right'></i> D-SE 0.1.1</a>";
        echo "</div>";
        echo "<div class = 'ui segment'>";
        echo "<a href = '?r=0.1.2'><i class='mdi mdi-chevron-right'></i> D-SE 0.1.2</a>";
        echo "</div>";

        break;

    case '0.1.0':
        echo "<div class = 'ui secondary segment'> D-SE 0.1.0</div>";
        echo "<div class = 'ui segment'>";
        echo __('Слишком много изменений');
        echo "</div>";
        echo "<div class='ui segment'>";
        echo "<a href='/adm_panel/changelog.php'><i class='mdi mdi-chevron-double-left'></i> " . __('Список изменений') . "</a>\n";
        echo "</div>";

        break;
    case '0.1.1':
        echo "<div class = 'ui secondary segment'> D-SE 0.1.1</div>";
        echo "<div class = 'ui segment'>";
        echo "<i class='mdi mdi-file-sync-outline'></i> " . __('Обновлены элементы дизайна и оформления') . "<br />";
        echo "<i class='mdi mdi-file-sync-outline'></i> " . __('Обновлен модуль Пользователи, перемещен в отдельную папку,обновлен элемент дизайна и оформления') . "<br />";
        echo "<i class='mdi mdi-file-sync-outline'></i> " . __('В настройках выведен отдельный пункт Тема оформления, в нем будут в дальнейшем все настройки связанные с оформлением и дизайном') . "<br />";
        echo "<i class='mdi mdi-file-sync-outline'></i> " . __('В новостях увеличено количество символов в заголовке') . "<br />";
        echo "<i class='mdi mdi-file-plus-outline'></i> " . __('Добавлена возможность редактировать комментарии в новостях') . "<br />";
        echo "<i class='mdi mdi-file-plus-outline'></i> " . __('Добавлена возможность закрывать комментарии в новостях') . "<br />";
        echo "<i class='mdi mdi-file-plus-outline'></i> " . __('Добавлены теги/метки к новостях') . "<br />";
        echo "<i class='mdi mdi-file-plus-outline'></i> " . __('Добавлена возможность добавлять изображение к новости') . "<br />";
        echo "<i class='mdi mdi-file-plus-outline'></i> " . __('В профиле добавлены ссылки Редактировать профиль') . "<br />";
        echo "<i class='mdi mdi-file-code-outline'></i> " . __('При создании альбома с паролем, пароль не сохранялся, исправлено') . "<br />";
        echo "<i class='mdi mdi-file-code-outline'></i> " . __('Другие незначительные изменения') . "<br />";
        echo "</div>";
        echo "<div class='ui segment'>";
        echo "<a href='/adm_panel/changelog.php'><i class='mdi mdi-chevron-double-left'></i> " . __('Список изменений') . "</a>\n";
        echo "</div>";

        break;
    case '0.1.2':
        echo "<div class = 'ui secondary segment'> D-SE 0.1.2</div>";
        echo "<div class = 'ui segment'>";
        echo "<i class='mdi mdi-file-sync-outline'></i> " . __('Обновлены элементы дизайна и оформления') . "<br />";
        echo "<i class='mdi mdi-file-plus-outline'></i> " . __('В регистрации дабавлены новые поля, имя и дата рождения') . "<br />";
        echo "<i class='mdi mdi-file-plus-outline'></i> " . __('Добавлен пункт в друзьях Приватность') . "<br />";
        echo "<i class='mdi mdi-file-plus-outline'></i> " . __('Добавлен пункт Дополнительно в Пользователях') . "<br />";
        echo "<i class='mdi mdi-file-plus-outline'></i> " . __('Теперь в друзьях можно запретить предлогать дружбу, и доступ к друзьям') . "<br />";
        echo "<i class='mdi mdi-file-plus-outline'></i> " . __('Теперь добавлен пункт Общие друзья') . "<br />";
        echo "<i class='mdi mdi-file-code-outline'></i> " . __('Исправлена ошибка с кодировкой отображения сайта в мобильной версии') . "<br />";
        echo "<i class='mdi mdi-file-code-outline'></i> " . __('Исправлены недочеты в моде Друзья') . "<br />";
        echo "<i class='mdi mdi-file-cancel-outline'></i> " . __('Удалена возможность в друзьях отмечать друзей для удаления. Неактуально') . "<br />";
        echo "</div>";
        echo "<div class='ui segment'>";
        echo "<a href='/adm_panel/changelog.php'><i class='mdi mdi-chevron-double-left'></i> " . __('Список изменений') . "</a>\n";
        echo "</div>";

        break;
}


if (user_access('adm_panel_show')) {
    echo "<div class='ui segment'>";
    echo "<a href='/adm_panel/'><i class='mdi mdi-chevron-double-left'></i> " . __('Панель управления') . "</a>\n";
    echo "</div>";
}
echo "</div>";

require_once H . 'sys/inc/tfoot.php';
