<?php
include_once '../sys/inc/start.php';
include_once '../sys/inc/compress.php';
include_once '../sys/inc/sess.php';
include_once '../sys/inc/home.php';
include_once '../sys/inc/settings.php';
include_once '../sys/inc/db_connect.php';
include_once '../sys/inc/ipua.php';
include_once '../sys/inc/fnc.php';
include_once '../sys/inc/user.php';

/* Бан пользователя */
if (isset($user) && dbresult(dbquery("SELECT COUNT(*) FROM `ban` WHERE `razdel` = 'guest' AND `id_user` = '$user[id]' AND (`time` > '$time' OR `view` = '0')"), 0) != 0) {
    header('Location: /ban.php?' . SID);
    exit;
}

// Очищаем уведомления об ответах
if (isset($user)) {
    dbquery("UPDATE `notification` SET `read` = '1' WHERE `type` = 'guest' AND `id_user` = '$user[id]'");
}

// Действия с комментариями
include 'inc/admin_act.php';

// Отправка комментариев
if (isset($_POST['msg']) && isset($user)) {
    $msg = $_POST['msg'];
    $mat = antimat($msg);

    if ($mat) {
        $err[] = __('В тексте сообщения обнаружен мат') . ': ' . $mat;
    }

    if (strlen2($msg) > 1024) {
        $err[] = __('Сообщение слишком длинное');
    } elseif (strlen2($msg) < 2) {
        $err[] = __('Короткое сообщение');
    } elseif (dbresult(dbquery("SELECT COUNT(*) FROM `guest` WHERE `id_user` = '$user[id]' AND `msg` = '" . my_esc($msg) . "' LIMIT 1"), 0) != 0) {
        $err = __('Ваше сообщение повторяет предыдущее');
    } elseif (!isset($err)) {
        // Начисление баллов за активность
        include_once H . 'sys/add/user.active.php';

        /*
          ==========================
          Уведомления об ответах
          ==========================
         */

        if (isset($ank_reply['id'])) {
            $notifiacation = dbassoc(dbquery("SELECT * FROM `notification_set` WHERE `id_user` = '" . $ank_reply['id'] . "' LIMIT 1"));

            if ($notifiacation['komm'] == 1 && $ank_reply['id'] != $user['id']) {
                dbquery("INSERT INTO `notification` (`avtor`, `id_user`, `type`, `time`) VALUES ('$user[id]', '$ank_reply[id]', 'guest', '$time')");
            }
        }

        dbquery("INSERT INTO `guest` (id_user, time, msg) values('$user[id]', '$time', '" . my_esc($msg) . "')");

        $_SESSION['message'] = __('Сообщение успешно добавлено');

        header("Location: index.php" . SID);
        exit;
    }
} elseif (!isset($user) && isset($set['write_guest']) && $set['write_guest'] == 1 && isset($_SESSION['captcha']) && isset($_POST['chislo'])) {

    $msg = $_POST['msg'];
    $mat = antimat($msg);

    if ($mat) {
        $err[] = __('В тексте сообщения обнаружен мат') . ': ' . $mat;
    }

    if (strlen2($msg) > 1024) {
        $err = __('Сообщение слишком длинное');
    } elseif ($_SESSION['captcha'] != $_POST['chislo']) {
        $err = __('Неверное проверочное число');
    } elseif (isset($_SESSION['antiflood']) && $_SESSION['antiflood'] > $time - 300) {
        $err = __('Для того чтобы чаще писать нужно авторизоваться');
    } elseif (strlen2($msg) < 2) {
        $err = __('Короткое сообщение');
    } elseif (dbresult(dbquery("SELECT COUNT(*) FROM `guest` WHERE `id_user` = '0' AND `msg` = '" . my_esc($msg) . "' LIMIT 1"), 0) != 0) {
        $err = __('Ваше сообщение повторяет предыдущее');
    } elseif (!isset($err)) {
        $_SESSION['antiflood'] = $time;

        dbquery("INSERT INTO `guest` (id_user, time, msg) values('0', '$time', '" . my_esc($msg) . "')");

        $_SESSION['message'] = __('Сообщение успешно добавлено');

        header("Location: index.php" . SID);
        exit;
    }
}

// заголовок страницы
$set['title'] = __('Гостевая');

include_once '../sys/inc/thead.php';

title();
aut();
err();

$k_post = dbresult(dbquery("SELECT COUNT(id) FROM `guest`"), 0);
$k_page = k_page($k_post, $set['p_str']);
$page = page($k_page);
$start = $set['p_str'] * $page - $set['p_str'];

echo '<div class="ui segments">';

echo '<div class="ui segment">';
echo '<a href="who.php"><i class="mdi mdi-comment-eye-outline"></i> ' . __('В гостевой') . ' (' . dbresult(dbquery("SELECT COUNT(id) FROM `user` WHERE `date_last` > '" . (time() - 100) . "' AND `url` like '/guest/%'"), 0) . ' чел.)</a><br />';
echo '</div>';

// Форма для комментариев
if (isset($user) || (isset($set['write_guest']) && $set['write_guest'] == 1 && (!isset($_SESSION['antiflood']) || $_SESSION['antiflood'] < $time - 300))) {
    echo '<form method="post" name="message" class="ui form segment" action="?page=' . $page . REPLY . '">';

    echo '<textarea required name="msg">' . $insert . '</textarea><br />';

    if (!isset($user) && isset($set['write_guest']) && $set['write_guest'] == 1) {
        ?>
        <img src="/captcha.php?SESS=<?= $sess ?>" width="100" height="30" alt="Captcha" /> <input name="chislo" size="7" maxlength="5" value="" type="text" placeholder="<?= __('Цифры') ?>"/><br />
        <?php
    }

    echo "<br />";
    echo "<button class='ui compact blue labeled icon button' name='accesses'><i class='mdi mdi-check icon'></i> " . __('Опубликовать') . "</button>\n";
    echo '</form>';
} elseif (!isset($user) && isset($set['write_guest']) && $set['write_guest'] == 1) {
    ?>
    <div class="mess">
        <?= __('Вы сможете писать через') ?> <?= abs($time - $_SESSION['antiflood'] - 300) ?> сек.
    </div>
    <?php
}

$q = dbquery("SELECT * FROM `guest` ORDER BY id DESC LIMIT $start, $set[p_str]");

if ($k_post == 0) {
    echo '<div class="ui segment">';
    echo "<i class='mdi mdi-layers-outline'></i> " . __('Нет результатов');
    echo '</div>';
} else {


    echo '<div class="ui segment">';
    echo '<div class="ui large middle aligned divided list">';
    while ($post = dbassoc($q)) {
        $ank = dbassoc(dbquery("SELECT * FROM `user` WHERE `id` = $post[id_user] LIMIT 1"));

        echo '<div class="item">';
        //аватар
        echo ($post['id_user'] != 0 ? user::avatar($ank['id'], 0, 'ui avatar image') : user::avatar(0, 0, 'ui avatar image'));

        echo '<div class="content">';
        echo ($post['id_user'] != 0 ? group($ank['id']) . user::nick($ank['id']) : ' <b>' . __('Гость') . '</b> ');

        echo " <small style='color:grey'>" . date::times($post['time']) . " </small><br />";
        echo output_text($post['msg']) . '<br />';

        if (isset($user) && $user['id'] != $ank['id']) {
            echo "<small style='color:grey'>";
            echo '<a href="?page=' . $page . '&amp;response=' . $ank['id'] . '"><i class="mdi mdi-pencil"></i> ' . __('Ответить') . '</a> &ensp; ';
            echo "</small>";
        }
        if (isset($user) && ($user['level'] > $ank['level'] || $user['level'] != 0 && $user['id'] == $ank['id']) && user_access('guest_delete')) {
            echo "<small style='color:grey'>";
            echo '<a href="delete.php?id=' . $post['id'] . '"><i class="mdi mdi-delete"></i> ' . __('Удалить') . '</a>';
            echo '</small>';
        }

        echo '</div>';
        echo '</div>';
    }
}

echo '</div>';
echo '</div>';

if ($k_page > 1) {
    str('index.php?', $k_page, $page);
} // Вывод страниц

echo '</div>'; // ui segments

// Форма очистки комментов
include 'inc/admin_form.php';

include_once '../sys/inc/tfoot.php';
?>