<?php
if (user_access('obmen_dir_edit') && isset($_GET['act']) && $_GET['act'] == 'set') {
    echo "<form class=\"ui form segment\" action='?act=set&amp;ok&amp;page=$page' method=\"post\">";
    echo "<div class='field'>\n";
    echo "<label>" . __('Название папки') . ":</label>\n";
    echo "<input type='text' name='name' value='" . htmlspecialchars($dir_id['name']) . "' /><br />\n";
    echo "</div>";
    if ($dir_id['upload'] == 1) {
        $check = ' checked="checked"';
    } else {
        $check = NULL;
    }

    echo "<div class='field'>\n";
    echo "<div class='ui checkbox'>";
    echo "<label><input type=\"checkbox\"$check name=\"upload\" value=\"1\" /> " . __('Выгрузка') . "</label>\n";
    echo "</div>";
    echo "</div>";
    echo "<div class='field'>\n";
    echo "<label>" . __('Расширения через') . " \";\":</label>\n";
    echo "<input type='text' name='ras' value='$dir_id[ras]' />\n";
    echo "</div>";
    echo "<div class='two fields'>\n";
    echo "<div class='field'>\n";
    echo "<label>" . __('Максимальный размер файлов') . ":</label>\n";

    if ($dir_id['maxfilesize'] < 1024) {
        $size = $dir_id['maxfilesize'];
    } elseif ($dir_id['maxfilesize'] >= 1024 && $dir_id['maxfilesize'] < 1048576) {
        $size = intval($dir_id['maxfilesize'] / 1024);
    } elseif ($dir_id['maxfilesize'] >= 1048576) {
        $size = intval($dir_id['maxfilesize'] / 1048576);
    }

    echo '<input type="text" name="size" size="4" value="' . $size . '" />';
    echo "</div>";
    echo "<div class='field'>\n";
    echo '<label>' . __('Выбрать') . ':</label><select name="mn">';

    if ($dir_id['maxfilesize'] < 1024) {
        $sel = ' selected="selected"';
    } else {
        $sel = NULL;
    }

    echo '<option value="1"' . $sel . '>B</option>';

    if ($dir_id['maxfilesize'] >= 1024 && $dir_id['maxfilesize'] < 1048576) {
        $sel = ' selected="selected"';
    } else {
        $sel = NULL;
    }

    echo '<option value="1024"' . $sel . '>KB</option>';

    if ($dir_id['maxfilesize'] >= 1048576) {
        $sel = ' selected="selected"';
    } else {
        $sel = NULL;
    }

    echo '<option value="1048576"' . $sel . '>MB</option>';
    echo '</select>';
    echo "</div>";
    echo "</div>";

    echo "<div class='ui info message'>";
    echo '*' . __('настройки сервера не позволяют выгружать файлы объемом более') . ': ' . size_file($upload_max_filesize) . '<br />';
    echo "</div>";
    echo "<button class='ui green button'>" . __('Сохранить') . "</button>";
    echo "<a href='?' class='ui basic button'>" . __('Отмена') . "</a>";
    echo '</form>';
}

if (user_access('obmen_dir_create') && isset($_GET['act']) && $_GET['act'] == 'mkdir') {
    ?>
    <form class="ui form segment" action="?act=mkdir&amp;ok&amp;page=<?= $page ?>" method="post">
        <div class='field'>
            <label><?= __('Название папки') ?>:</label>
            <input type="text" required name="name" value="" />
        </div>
        <div class='field'>
            <div class='ui checkbox'>
                <input type="checkbox" name="upload" value="1" /> <label><?= __('Выгрузка') ?></label>
            </div>
        </div>

        <div class='field'>
            <label><?= __('Расширения через') ?> ";":</label>
            <input type="text" name="ras" value="" />
        </div>

        <div class="two fields">
            <div class='field'>
                <label><?= __('Максимальный размер файлов') ?>:</label>
                <input type="text" name="size" size="4" value="500" />
            </div>

            <div class='field'>
                <label><?= __('Выбрать') ?>:</label>
                <select name="mn">
                    <option value="1">B</option>
                    <option value="1024" selected="selected">KB</option>
                    <option value="1048576">MB</option>
                </select>
            </div>
        </div>
        <div class='ui info message'>
            *<?= __('настройки сервера не позволяют выгружать файлы объемом более') ?>: <?= size_file($upload_max_filesize) ?><br />
        </div>

        <button class='ui green button'><?= __('Создать папку') ?></button>
        <a href="?" class='ui basic button'><?= __('Отмена') ?></a>
    </form>
    <?php
}

if (user_access('obmen_dir_edit') && isset($_GET['act']) && $_GET['act'] == 'rename' && $l != '/') {
    echo '<form class="ui form segment" action="?act=rename&amp;ok&amp;page=' . $page . '" method="post">';
    echo __('Название папки') . ':<br />';
    echo '<input type="text" name="name" value="' . $dir_id['name'] . '"/><br /><br />';
    echo "<button class='ui green button'>" . __('Переименовать') . "</button>";
    echo "<a href='?' class='ui basic button'>" . __('Отмена') . "</a>";
    echo '</form>';
}

if (user_access('obmen_dir_edit') && isset($_GET['act']) && $_GET['act'] == 'mesto' && $l != '/') {
    echo '<form class="ui form segment" action="?act=mesto&amp;ok&amp;page=' . $page . '" method="post">';
    echo __('Новый путь') . ':<br />';
    echo '<select class="submit" name="dir_osn">';
    echo '<option value="/">[' . __('в корень') . ']</option>';

    $q = dbquery("SELECT DISTINCT `dir` FROM `obmennik_dir` WHERE `dir` not like '$l%' ORDER BY 'dir' ASC");

    while ($post = dbassoc($q)) {
        echo '<option value="' . $post['dir'] . '">' . $post['dir'] . '</option>';
    }

    echo '</select><br />';
    echo "<button class='ui green button'>" . __('Переместить') . "</button>";
    echo "<a href='?' class='ui basic button'>" . __('Отмена') . "</a>";
    echo '</form>';
}

if (user_access('obmen_dir_delete') && isset($_GET['act']) && $_GET['act'] == 'delete' && $l != '/') {
    echo '<div class="ui segment">';
    echo __('Удалить текущую папку') . ' (' . $dir_id['name'] . ')?<br />';
    echo '<a href="?act=delete&amp;ok&amp;page=' . $page . '" class="ui green basic label">' . __('Да') . '</a> ';
    echo '<a href="?page=' . $page . '" class="ui basic label">' . __('Нет') . '</a>';
    echo '</div>';
}

if (user_access('obmen_dir_edit') || user_access('obmen_dir_delete') || user_access('obmen_dir_create')) {
    echo '<div class="ui segment">';

    if (user_access('obmen_dir_create')) {
        echo '<a href="?act=mkdir&amp;page=' . $page . '"><i class="mdi mdi-folder-plus"></i> ' . __('Создать папку') . '</a><br />';
    }

    if ($l != '/') {
        if (user_access('obmen_dir_edit')) {
            echo '<a href="?act=rename&amp;page=' . $page . '"><i class="mdi mdi-folder-edit"></i> ' . __('Переименовать папку') . '</a><br />';
            echo '<a href="?act=set&amp;page=' . $page . '"><i class="mdi mdi-folder-cog"></i> ' . __('Параметры папки') . '</a><br />';
            echo '<a href="?act=mesto&amp;page=' . $page . '"><i class="mdi mdi-folder-move"></i> ' . __('Переместить папку') . '</a><br />';
        }

        if (user_access('obmen_dir_delete') && $dir_id['my'] == 0) {
            echo '<a href="?act=delete&amp;page=' . $page . '"><i class="mdi mdi-folder-remove"></i> ' . __('Удалить папку') . '</a><br />';
        }
    }

    echo '</div>';
}
?>